.\" Copyright (c) 1994-1996 Wolfram Schneider <wosch@FreeBSD.org>. Berlin.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/gnu/usr.bin/man/makewhatis/makewhatis.1,v 1.6.2.3 1999/09/05 11:06:50 peter Exp $
.Dd Jan, 12, 1995
.Dt MAKEWHATIS 1
.Os FreeBSD 2.1
.Sh NAME
.Nm makewhatis
.Nd create whatis database
.Sh SYNOPSIS
.Nm
.Op Fl a | Fl append
.Op Fl h | Fl help
.Op Fl i | Fl indent Ar column
.Op Fl n | Fl name Ar name
.Op Fl o | Fl outfile Ar file
.Op Fl v | Fl verbose
.Op Ar directories ...
.Sh DESCRIPTION 
.Nm
extracts the name and a short description from unformatted manpages
and creates the
.Xr whatis 1
database. 
.Nm
can read gzip'ed manpages.
.Ar Directory
names a directory containing manpage subdirectories
.Pq named Pa man.+ .
Colons are treated as spaces, hence
.Ic makewhatis $MANPATH
or
.Ic makewhatis `manpath`
are allowed.
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl a , Fl append
Append mode. Don't delete old entries in whatis database. Note: 
the new database will be sorted without repeated lines and
.Nm
does not check if old entries are valid.
.It Fl h , Fl help
Print options and exit.
.It Fl i , Fl indent Ar column
Justify description strings to
.Ar column Pq default 24 .
.It Fl n , Fl name Ar name
Use
.Ar name
instead of
.Pa whatis Ns .
.It Fl o , Fl outfile Ar file
Write all output to
.Ar file
instead of
.Pa dirname/whatis Ns .
.It Fl v, Fl verbose
Issue more warnings
.Pq to stderr .
For every parsed man page write a single char:
.Ql \&.
for an uncompressed page,
.Ql *
for a compressed page, and
.Ql +
for a link.
.El
.Sh EXAMPLES
.Pp
.Ic makewhatis $MANPATH
.Pp
Create whatis database for all directories in your
.Pa $MANPATH Ns .
.Pp
.Ic makewhatis -outfile /tmp/mywhatis /usr/local/man $HOME/man
.Pp
Create whatis database 
.Pa /tmp/mywhatis .
Traverse directories
.Pa /usr/local/man
and
.Pa $HOME/man Ns .
Don't create
.Pa /usr/local/man/whatis
or
.Pa $HOME/man/whatis Ns .
.Pp
.Ic makewhatis -name windex $HOME/man
.Pp
Create whatis database
.Pa windex
instead of
.Pa whatis Ns .
May be useful for Solaris.
.Sh FILES
.Bl -tag -width /etc/master.passwdxx -compact
.It Pa */man/whatis
whatis database
.It Pa /etc/weekly
run
.Nm makewhatis.local
every week
.El
.Sh SEE ALSO
.Xr apropos 1 ,
.Xr catman 1 ,
.Xr getNAME 1 ,
.Xr man 1 ,
.Xr manpath 1 ,
.Xr sort 1 ,
.Xr uniq 1 ,
.Xr whatis 1 ,
.Xr makewhatis.local 8 .
.Sh HISTORY
This
.Nm
command appeared in
.Fx 2.1 .
.Sh AUTHOR
Wolfram Schneider, Berlin.
